{% extends 'base.html.twig' %}

{% block title %} profile {% endblock %}


{% block body %}
    <h1 class="mx-center">profile</h1>

    <div class="container">
        <form class="mx-center">
            <fieldset>
                <div class="form-group d-flex text-center">
                    <label for="staticEmail" class="col-sm-2 col-form-label">Email</label>
                    <input type="text" readonly="" class="form-control-plaintext" id="staticEmail" value="email@example.com">
                </div>
                <div class="form-group d-flex text-center">
                    <label for="staticLogin" class="col-sm-2 col-form-label">login</label>
                    <input type="text" readonly="" class="form-control-plaintext" id="staticLogin" value="identifiant"> </div>
                <div class="form-group d-flex text-center">
                    <label for="staticPwd" class="col-sm-2 col-form-label">password</label>
                    <input type="password" readonly="" class="form-control-plaintext" id="staticPwd" value="test1234">
                    <button class="btn btn-outline-secondary" type="button" id="showPassword">
                        <i class="icofont-eye"></i></button>
                </div>
                <div class="text-center">
                    <button type="button" class="btn btn-primary mt-4">modifier</button>
                    <button type="button" class="btn btn-primary mt-4">logout</button>
                </div>
            </fieldset>
        </form>
    </div>
{% endblock %}

 {% block javascripts %}
     <script>
     document.getElementById('showPassword').addEventListener('click', function () {
     let pwdInput = document.getElementById('staticPwd');
     if (pwdInput.type === 'password') {
     pwdInput.type = 'text';
     } else {
     pwdInput.type = 'password';
     }
     });
     </script>
 {% endblock %}